<% if chart_counter.even? %> <div class="row" style="display: flex; justify-content: space-between;"> <% end %>
<div id="<%= chart_counter %>-mean-distance-by-type-chart" style="width: 50%; min-height: 400px"></div>
<% if chart_counter.odd? %> </div> <% end %>

<%= javascript_tag do %>
  Chart<%= chart_counter %> = new ChartGenerator(echarts, $, window);
  Chart<%= chart_counter %>.createChart(
    "<%= chart_counter %>-mean-distance-by-type-chart",
    "<%= chart.first %>",
    <%=raw chart.second.to_json %>,
    "bar",
    {
      xAxis: {type: 'value'},
      yAxis: {type: 'category'},
    },
    "#collapseGeneralDatadistance"
  )
<% end %>
